#pragma once
#include <map>
struct M_ActivitySailingaSignRepeatedlyCFGData
{
	//编号
	int mId;
	//天数
	std::string mDay;
	//奖励物品ID
	int mAwardItemID;
	//奖励物品数量
	int mAwardItemCounts;
	//天数
	int mAllDay;
};

class M_ActivitySailingaSignRepeatedlyCFG
{
public:
private:
	static std::auto_ptr<M_ActivitySailingaSignRepeatedlyCFG> msSingleton;
public:
	int GetCount();
	const M_ActivitySailingaSignRepeatedlyCFGData* GetData(int Id);
	const std::map<int, M_ActivitySailingaSignRepeatedlyCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_ActivitySailingaSignRepeatedlyCFG* GetSingleton();
	static void Release();
private:
	std::map<int, M_ActivitySailingaSignRepeatedlyCFGData> mMapData;
};
